﻿@model eCommerce.UI.ViewModels.HomeViewModel
@using eCommerce.Services.Utils

<div class="product-grid-holder">

    @foreach (var item in Model.Products)
    {
        <div class="col-sm-4 col-md-3  no-margin product-item-holder hover">
            <div class="product-item">

                @if (item.Outstanding)
                {
                    <div class="ribbon green"><span>destacado</span></div>
                }

                @if (item.OnSale)
                {
                    <div class="ribbon red"><span>sale</span></div>
                }

                @if (item.IsNew)
                {
                    <div class="ribbon blue"><span>nuevo!</span></div>
                }

                <div class="image">
                    
                    <a href="/Catalogo/Producto?producto=@item.ProductId">
                        <img alt="" src="/content/assets/images/blank.gif" data-echo="@string.Format("{0}/{1}", Utility.ImgUrl, item.getDefaultResizedImageUrl)" />
                    </a>

                </div>

                <div class="body">
                    <div class="title">
                        <a href="/Catalogo/Producto?producto=@item.ProductId">@item.Title</a>
                    </div>
                    <div class="brand">@(item.Brand != null? item.Brand.Name : string.Empty)</div>
                </div>

                <div class="prices">
                    <div class="price-prev">@(item.CustomerOldPrice.HasValue ? "$" + item.CustomerOldPrice.Value.ToString("N") : string.Empty)</div>
                    <div class="price-current pull-right">$@item.CustomerPrice.ToString("N")</div>
                </div>

                <div class="hover-area">
                    <div class="add-cart-button">
                        <a href="/Catalogo/Producto?producto=@item.ProductId" class="le-button">Ver Detalle</a>
                    </div>
                </div>
            </div>
        </div>
    }
</div>

@if (Model.Products.Count() > 8)
{
    <div class="loadmore-holder text-center">
        <a class="btn-loadmore" href="javascript:void(0)">
            <i class="fa fa-plus"></i>cargar más productos
        </a>
    </div>
}

